[DOC] Suggestions about improvement in Installation instructions

Aditya Prakash aditya.prakash132 at gmail.com
Fri Nov 13 13:56:52 UTC 2015


Hi,

I recently installed [openstreetmap-website](
https://github.com/openstreetmap/openstreetmap-website) and for most part
it worked great. I have a few suggestions so that this expereince can be
even lesser painful for any new contributor.

Minimum requirements
<https://github.com/openstreetmap/openstreetmap-website/blob/master/INSTALL.md#minimum-requirements>
mentions that ImageMagick is a requirement however install commands for
ubuntu or fedora don't have ImageMagick and ImageMagick-dev(el).

PostgreSQL Btree-gist Extension
<https://github.com/openstreetmap/openstreetmap-website/blob/master/INSTALL.md#postgresql-btree-gist-extension>
should
have user ( -u <username>) in it.

It might be worth mentioning that Populating the database
<https://github.com/openstreetmap/openstreetmap-website/blob/master/CONFIGURE.md#populating-the-database>
is
not a necessary step. If some reason one wants to do it then probably there
should be links directing the contributor where he can get an OSM extract.
Currently it is config.md -> osmosis -> Downloading -> Go Figure!
An example link to
http://download.geofabrik.de/europe/great-britain/england/greater-london-latest.osm.pbf
would be a lot less overwhelming for someone yet to be familiar with the
project.

Cheers,
Aditya
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.openstreetmap.org/pipermail/rails-dev/attachments/20151113/1bca5de3/attachment.html>


More information about the rails-dev mailing list